//
//  MetadataTableViewController.m
//  NSDictionary-ImageMetadata
//
//  Created by Steven Grace on 4/23/13.
//  Copyright (c) 2013 Steven Grace. All rights reserved.
//

#import "MetadataTableViewController.h"

@interface MetadataTableViewController ()

@end

@implementation MetadataTableViewController{
    
    NSArray* _sectionKeys;
    NSDictionary* _metaData;
}
//
//
//
- (id)initWithStyle:(UITableViewStyle)style
{
    self = [super initWithStyle:style];
    if (self) {
        // Custom initialization
    }
    return self;
}
//
//
//
-(void)setMetadata:(NSDictionary*)metatdata{
    

    if(_metaData != metatdata){
        _metaData = nil;
        _metaData = metatdata;
        _sectionKeys = [_metaData allKeys];
    }
    
}
//
//
//
-(void)viewWillAppear:(BOOL)animated{
    
    [self.tableView reloadData];
}
#pragma mark - Table view data source
- (NSInteger)numberOfSectionsInTableView:(UITableView *)tableView
{
    // Return the number of sections.
    return [_sectionKeys count];
}
//
//
//
- (NSInteger)tableView:(UITableView *)tableView numberOfRowsInSection:(NSInteger)section
{
    
    NSInteger count = 1;
    NSString* key = [_sectionKeys objectAtIndex:section];
    id result =[_metaData objectForKey:key];
    
    if([result isKindOfClass:[NSDictionary class]]){
        count = [result count];
    }

    return count;
    
}
//
//
//
- (NSString *)tableView:(UITableView *)tableView titleForHeaderInSection:(NSInteger)section{
    
    NSString* key = [_sectionKeys objectAtIndex:section];
    NSString* metatdataSectionKey = [NSString stringWithFormat:@"%@",key];
    
    if([metatdataSectionKey rangeOfString:@"{"].length>0){
        return
        [[metatdataSectionKey stringByReplacingOccurrencesOfString:@"{" withString:@""]stringByReplacingOccurrencesOfString:@"}" withString:@""];
    }
    
    return key;
}
//
//
//
- (UITableViewCell *)tableView:(UITableView *)tableView cellForRowAtIndexPath:(NSIndexPath *)indexPath
{
    static NSString *CellIdentifier = @"Cell";
    UITableViewCell *cell =[tableView dequeueReusableCellWithIdentifier:CellIdentifier];
    if(!cell){
        cell = [[UITableViewCell alloc]initWithStyle:UITableViewCellStyleValue1 reuseIdentifier:CellIdentifier];
        
        cell.detailTextLabel.adjustsFontSizeToFitWidth = YES;
        
    }
    
    NSString* key = [_sectionKeys objectAtIndex:indexPath.section];
    NSInteger rowsInSection = [self tableView:tableView numberOfRowsInSection:indexPath.section];
    if(rowsInSection==1){
        NSDictionary* info =[_metaData objectForKey:key];
        cell.textLabel.text = key;
        cell.detailTextLabel.text = [NSString stringWithFormat:@"%@",info];;
    
    }
    else{
        NSDictionary* info =[_metaData objectForKey:key];
        NSArray* keys = [info allKeys];
        NSString* str = [keys objectAtIndex:indexPath.row];
        
        cell.detailTextLabel.text =  [NSString stringWithFormat:@"%@",[info objectForKey:str]];
        cell.textLabel.text = str;
        
        
    }
    return cell;
}

@end
