//
//  SLGViewController.m
//  NSDictionary-ImageMetadata
//
//  Created by Steven Grace on 4/22/13.
//  Copyright (c) 2013 Steven Grace. All rights reserved.
//

#import "SLGViewController.h"
#import "NSMutableDictionary+ImageMetadata.h"
#import "MetadataTableViewController.h"

@interface SLGViewController ()

@end

@implementation SLGViewController{
    
    NSMutableDictionary* _metadata;
    NSMutableArray* _images;
    
}

- (void)viewDidLoad
{
    [super viewDidLoad];
        
    _images = [[NSMutableArray alloc]init];
    
    for(int i =1;i<=6;i++){
        
        NSString* imagePath =
            [[NSBundle mainBundle]pathForResource:[NSString stringWithFormat:@"image%i",i]
                                                             ofType:@"jpg"];
        [_images addObject:imagePath];
            
        
    }
    [self.tableView reloadData];
}
//
//
//
- (NSInteger)tableView:(UITableView *)tableView numberOfRowsInSection:(NSInteger)section
{
    return [_images count];
    
}
//
//
//
- (UITableViewCell *)tableView:(UITableView *)tableView cellForRowAtIndexPath:(NSIndexPath *)indexPath
{
    
    static NSString *CellIdentifier = @"Cell";
    UITableViewCell *cell =[tableView dequeueReusableCellWithIdentifier:CellIdentifier];
    if(!cell){
        cell = [[UITableViewCell alloc]initWithStyle:UITableViewCellStyleDefault reuseIdentifier:CellIdentifier];
    
    }
    

    NSString* path = [_images objectAtIndex:indexPath.row];
    cell.imageView.image = [[UIImage alloc]initWithContentsOfFile:path];
    cell.textLabel.text =[path lastPathComponent];
    
    return cell;
}
//
//
//
- (void)tableView:(UITableView *)tableView didSelectRowAtIndexPath:(NSIndexPath *)indexPath{
    
    NSURL* url = [NSURL fileURLWithPath:[_images objectAtIndex:indexPath.row]];

    NSMutableDictionary* metadata = [NSMutableDictionary metadataWithImageAtURL:url];
    
    MetadataTableViewController* metaController =
    [[MetadataTableViewController alloc]initWithStyle:UITableViewStylePlain];
    
    [metaController setMetadata:metadata];
    
    [self.navigationController pushViewController:metaController animated:YES];

}


@end
