//
//  NSMutableDictionary+ImageMetadata.h
//  NSDictionary-ImageMetadata
//
//  Created by Steven Grace on 4/22/13.
//  Copyright (c) 2013 Steven Grace. All rights reserved.
//  www.works5.com
//
//  Category Methods for fetching and working with Image Metadata;
//

#import <Foundation/Foundation.h>

@interface NSMutableDictionary (ImageMetadata)





+(NSMutableDictionary*)metadataWithImageAtURL:(NSURL*)url;

+(BOOL)writeMetadata:(NSDictionary*)metadata toImageAtURL:(NSURL*)url;


// pass in CGImageProperty value (recursively search sub dictionaries)
- (id)valueForProperty:(NSString *)property;

// UI Formatted/Readable Variants
@property(nonatomic,readonly)NSString* formattedShutterSpeed;
@property(nonatomic,readonly)NSString* formattedApetureValue;


// Location (calculated from GPS Metadata)
@property(nonatomic,readonly)CLLocation* location;
@property(nonatomic,readonly)CLLocationDirection trueHeading;

@end
